package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.ProductCollection;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.ProductCollectionMapper")
public interface ProductCollectionMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ProductCollection record);

    ProductCollection selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ProductCollection record);

    List<ProductCollection> queryAllProductCollection(ProductCollection record);

    List<ProductCollection> queryProductCollectionByPage(Map<String, Object> parameter);

    int delete(String id);

    ProductCollection queryProductCollection(ProductCollection record);

    List<ProductCollection> query(ProductCollection record);
}

